Package com.castlabs.sdk.thumbs

# Class ThumbnailsTrackRenderer

java.lang.Object
com.google.android.exoplayer2.BaseRenderer
com.castlabs.sdk.thumbs.ThumbnailsTrackRenderer

All Implemented Interfaces:
  `com.google.android.exoplayer2.PlayerMessage.Target`, `com.google.android.exoplayer2.Renderer`, `com.google.android.exoplayer2.RendererCapabilities`

public class ThumbnailsTrackRenderer extends com.google.android.exoplayer2.BaseRenderer
A renderer for thumbnail tracks in the player.

This renderer is responsible for handling thumbnail tracks in the player's track selection. It provides capabilities for thumbnail format support but does not actually render anything as thumbnails are handled separately through the `ThumbnailProvider` interface.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.android.exoplayer2.BaseRenderer

  `com.google.android.exoplayer2.BaseRenderer.RendererStreamException`

  ## Nested classes/interfaces inherited from interface com.google.android.exoplayer2.Renderer

  `com.google.android.exoplayer2.Renderer.Listener, com.google.android.exoplayer2.Renderer.MessageType, com.google.android.exoplayer2.Renderer.State, com.google.android.exoplayer2.Renderer.WakeupListener`

  ## Nested classes/interfaces inherited from interface com.google.android.exoplayer2.RendererCapabilities

  `com.google.android.exoplayer2.RendererCapabilities.AdaptiveSupport, com.google.android.exoplayer2.RendererCapabilities.Capabilities, com.google.android.exoplayer2.RendererCapabilities.DecoderSupport, com.google.android.exoplayer2.RendererCapabilities.FormatSupport, com.google.android.exoplayer2.RendererCapabilities.HardwareAccelerationSupport, com.google.android.exoplayer2.RendererCapabilities.Listener, com.google.android.exoplayer2.RendererCapabilities.TunnelingSupport`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static com.google.android.exoplayer2.RendererCapabilities`
  `RENDERER_CAPABILITIES`
  The capabilities of this renderer.

  ### Fields inherited from interface com.google.android.exoplayer2.Renderer

  `MSG_CUSTOM_BASE, MSG_SET_AUDIO_ATTRIBUTES, MSG_SET_AUDIO_SESSION_ID, MSG_SET_AUX_EFFECT_INFO, MSG_SET_CAMERA_MOTION_LISTENER, MSG_SET_CHANGE_FRAME_RATE_STRATEGY, MSG_SET_EVENT_MESSAGE_CUE_EVENT, MSG_SET_PREFERRED_AUDIO_DEVICE, MSG_SET_SCALING_MODE, MSG_SET_SKIP_SILENCE_ENABLED, MSG_SET_VIDEO_EFFECTS, MSG_SET_VIDEO_FRAME_METADATA_LISTENER, MSG_SET_VIDEO_OUTPUT, MSG_SET_VIDEO_OUTPUT_RESOLUTION, MSG_SET_VOLUME, MSG_SET_WAKEUP_LISTENER, STATE_DISABLED, STATE_ENABLED, STATE_STARTED`

  ### Fields inherited from interface com.google.android.exoplayer2.RendererCapabilities

  `ADAPTIVE_NOT_SEAMLESS, ADAPTIVE_NOT_SUPPORTED, ADAPTIVE_SEAMLESS, ADAPTIVE_SUPPORT_MASK, DECODER_SUPPORT_FALLBACK, DECODER_SUPPORT_FALLBACK_MIMETYPE, DECODER_SUPPORT_PRIMARY, FORMAT_EXCEEDS_CAPABILITIES, FORMAT_HANDLED, FORMAT_SUPPORT_MASK, FORMAT_UNSUPPORTED_DRM, FORMAT_UNSUPPORTED_SUBTYPE, FORMAT_UNSUPPORTED_TYPE, HARDWARE_ACCELERATION_NOT_SUPPORTED, HARDWARE_ACCELERATION_SUPPORT_MASK, HARDWARE_ACCELERATION_SUPPORTED, MODE_SUPPORT_MASK, TUNNELING_NOT_SUPPORTED, TUNNELING_SUPPORT_MASK, TUNNELING_SUPPORTED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThumbnailsTrackRenderer()`
  Creates a new thumbnail track renderer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `boolean`
  `isEnded()`
  `boolean`
  `isReady()`
  `void`
  `render(long positionUs, long elapsedRealtimeUs)`
  `int`
  `supportsFormat(com.google.android.exoplayer2.Format format)`

  ### Methods inherited from class com.google.android.exoplayer2.BaseRenderer

  `clearListener, disable, enable, getCapabilities, getMediaClock, getReadingPositionUs, getState, getStream, getStreamOffsetUs, getTrackType, handleMessage, hasReadStreamToEnd, init, isCurrentStreamFinal, maybeThrowStreamError, release, replaceStream, reset, resetPosition, setCurrentStreamFinal, setListener, setListener, setRenderingIntervalManager, start, stop, supportsMixedMimeTypeAdaptation`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.google.android.exoplayer2.Renderer

  `setPlaybackSpeed`

- ## Field Details

  - ### RENDERER_CAPABILITIES

    @NonNull public static com.google.android.exoplayer2.RendererCapabilities RENDERER_CAPABILITIES
    The capabilities of this renderer.

- ## Constructor Details

  - ### ThumbnailsTrackRenderer

    public ThumbnailsTrackRenderer()
    Creates a new thumbnail track renderer.

- ## Method Details

  - ### getName

    @NonNull public String getName()

  - ### render

    public void render(long positionUs, long elapsedRealtimeUs) throws com.google.android.exoplayer2.ExoPlaybackException
    Throws:
      `com.google.android.exoplayer2.ExoPlaybackException`

  - ### isReady

    public boolean isReady()

  - ### isEnded

    public boolean isEnded()

  - ### supportsFormat

    public int supportsFormat(@NonNull com.google.android.exoplayer2.Format format) throws com.google.android.exoplayer2.ExoPlaybackException
    Throws:
      `com.google.android.exoplayer2.ExoPlaybackException`